#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

int n;
cin >>n;
vector <int> Count[2];
Count[0].resize(n);
Count[1].resize(n);
for(int i=0;i<n;i++){
    int x,y;
    cin >>x>>y;
    Count[0][x-1]++;
    Count[1][y-1]++;
}

int rez=0;
for(int lvl=0;lvl<2;lvl++){
    vector <int> Dostupni;
    int index=0;
    for(int i=0;i<n;i++)if(Count[lvl][i]>1)Dostupni.push_back(i);

    for(int i=0;i<n;i++){
        if(Count[lvl][i]==0){
            rez+=abs(index-i);
            Count[lvl][index]--;
            if(Count[lvl][index]==1)index++;
            Count[lvl][i]++;
        }
    }


}
    cout <<rez<<endl;
}